summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/filesystem/filesystem.install
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2010-09-26 01:11:11 (GMT)
committerJames Meyer <james.meyer@operamail.com>2010-09-26 01:11:11 (GMT)
commitcd8250e8401092ec39187465ac96c4a2d973a1d0 (patch)
treed22587cd531974e6ac73a0128ff152a9f2bf370e /abs/core-testing/filesystem/filesystem.install
parentd396125a3bf5de73f69ce08cd6eba7b57e22a6e2 (diff)
downloadlinhes_pkgbuild-cd8250e8401092ec39187465ac96c4a2d973a1d0.zip
linhes_pkgbuild-cd8250e8401092ec39187465ac96c4a2d973a1d0.tar.gz
linhes_pkgbuild-cd8250e8401092ec39187465ac96c4a2d973a1d0.tar.bz2
filesystem: arch sync
+ add tty10 to securetty
Diffstat (limited to 'abs/core-testing/filesystem/filesystem.install')
-rw-r--r--abs/core-testing/filesystem/filesystem.install20
1 files changed, 13 insertions, 7 deletions
diff --git a/abs/core-testing/filesystem/filesystem.install b/abs/core-testing/filesystem/filesystem.install
index 5be51ed..e0ce1e2 100644
--- a/abs/core-testing/filesystem/filesystem.install
+++ b/abs/core-testing/filesystem/filesystem.install
@@ -57,12 +57,18 @@ post_upgrade() {
echo "adding new group: scanner"
usr/sbin/groupadd -g 96 scanner >/dev/null
fi
- cp /etc/fstab /etc/fstab.orig
- if grep -q /dev/sro /etc/fstab
- then
- exit
- else
- grep -v /dev/dvd /etc/fstab > /tmp/fstab
- cat /tmp/fstab | sed -e 's|/dev/cdrom|/dev/sr0|g' > /etc/fstab
+ if [ ! "`grep ^rfkill: etc/group`" ]; then
+ echo "adding new group: rfkill"
+ usr/sbin/groupadd -g 24 rfkill >/dev/null
fi
+
+ grep -q '^include /etc/ld.so.conf.d/\*.conf$' etc/ld.so.conf \
+ || echo 'include /etc/ld.so.conf.d/*.conf' >> etc/ld.so.conf
+
+ # set "Last password change" > 0; otherwise su $user wont work
+ for user in bin daemon mail ftp http nobody; do
+ if LANG=C chage -l ${user} | grep -q 'password must be changed'; then
+ chage -d 14871 ${user}
+ fi
+ done
}